From b2c039e0488c4d3344f45130bec63873965e6896 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9dric=20Villemain?= <Cedric.Villemain@Data-Bene.io>
Date: Tue, 6 May 2025 18:16:28 +0200
Subject: [PATCH] Fix comment on auxiliary processes for IO workers

The comment states that there can be only 1 process of each at a time
but several IO workers can be started.
---
 src/include/miscadmin.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/include/miscadmin.h b/src/include/miscadmin.h
index 72f5655fb34..629772b0381 100644
--- a/src/include/miscadmin.h
+++ b/src/include/miscadmin.h
@@ -353,7 +353,7 @@ typedef enum BackendType
 	 * Auxiliary processes. These have PGPROC entries, but they are not
 	 * attached to any particular database, and cannot run transactions or
 	 * even take heavyweight locks. There can be only one of each of these
-	 * running at a time.
+	 * running at a time, except for IO workers.
 	 *
 	 * If you modify these, make sure to update NUM_AUXILIARY_PROCS and the
 	 * glossary in the docs.
-- 
2.47.2

